Unable to use TLS 1.2 for HTTPS sessions

Please post here if you have problems in using Wing FTP Server.

Unable to use TLS 1.2 for HTTPS sessions

Postby Shane » Mon Dec 30, 2013 2:55 am

Wing FTP Server v4.0.9 implemented the latest version of OpenSSL, which should support TLS 1.2, but I'm only able to establish TLS 1.0 HTTPS connections using the latest web browsers, e.g. Google Chrome v31.x. I'm running Wing FTP Server v4.3.3 on Windows 7, have enabled the "Disable SSLv2" and "FIPS 140-2" protocols, and created new certs using Wing Server's certificate generation feature for 2048 and 4096 bit RSA keys.

Does Wing FTP Server support the TLS 1.2 protocol for HTTPS sessions, or is it limited to TLS 1.0 only? Our company has already purchased a corporate edition/license, but we require the TLS 1.2 protocol for secure file transfers. Thanks.
Shane
 
posts 1
 
joined Mon Dec 30, 2013 2:17 am

Re: Unable to use TLS 1.2 for HTTPS sessions

Postby FTP » Fri Jan 03, 2014 3:10 am

TLS 1.2 is not supported, because Wing FTP Server is linked with OpenSSL 0.9.8x.

BTW, OpenSSL has two product lines currently: 0.9.8.x and 1.0.x, they are different, but both of them are stable product, so please do not worry about its stability and security.

And, we will update OpenSSL into the version 0.9.8y in the next release.
FTP
Site Admin
 
posts 1202
 
joined Tue Sep 29, 2009 6:09 am


Return to Support

Who is online

Users browsing this forum: Majestic-12 [Bot] and 1 guest